Summary: The libglade library for loading user interfaces.
Name: libglade
Version: 2.5.1
Release: 3tr
Copyright: LGPL
Group: Trustix Official
Source:	 http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: glib >= 2.5.0 gtk2+ >= 2.5.0 libxml2
Requires: freetype  atk pango xorg-x11-libs
BuildRequires: glib-devel >= 2.5.7, gtk2+-devel >= 2.5.0, libxml2-devel
BuildRequires: atk-devel, xorg-x11-devel

%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package devel
Summary: The files needed for libglade application development.
Group: Trustix Official 
Requires: %{name} = %{version}
Requires: glib-devel >= 2.5.7, gtk2+-devel >= 2.5.0, libxml2-devel 
Requires: atk-devel, xorg-x11-devel 

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/libxml2/libxml" \
%configure 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/{libglade-gnome.la,libglade.la,libglade-2.0.la}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/xml/libglade/*


%changelog
* Mon Nov 14 2005 Ajith Thampi <ajith at trustix dot org> 2.5.1-3tr
- Fixed -devel Requires list.
		
* Wed Apr 27 2005 Nived Gopalan <nived at comodo dot com> 2.5.1-1tr
- New upstream

* Wed Apr 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.1-2tr
- Changed Group to Trustix Official

* Thu Feb 03 2005 Syed Shabir <syedshabir at comodo dot com>
- Initial Spec file
